Bug 794900 - authconfig crashes with traceback
authconfig crashes with traceback
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 16:24 EST by Orion Poplawski
Modified: 2012-03-06 15:43 EST (History)
1 user (show)

See Also:
Fixed In Version: authconfig-6.2.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 15:43:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2012-02-17 16:24:41 EST
Description of problem:

During install:

13:20:38,135 INFO program: Running... /usr/sbin/authconfig --update --nostart --enablemd5 --enableshadow --enableldap --ldapserver=ldap.cora.nwra.com --ldapbasedn=dc=nwra,dc=com --enableldaptls --ldaploadcacert=http://www.cora.nwra.com/cgi-bin/getca.pl --enablekrb5 --krb5kdc=kerberos.cora.nwra.com --krb5adminserver=kerberos.cora.nwra.com --krb5realm=CORA.NWRA.COM --enablefingerprint
13:20:38,674 ERR program: Traceback (most recent call last):
13:20:38,682 ERR program:   File "/usr/sbin/authconfig", line 1018, in <module>
13:20:38,683 ERR program:     sys.exit(module.run())
13:20:38,683 ERR program:   File "/usr/sbin/authconfig", line 605, in run
13:20:38,683 ERR program:     self.overrideSettings()
13:20:38,684 ERR program:   File "/usr/sbin/authconfig", line 492, in overrideSettings
13:20:38,684 ERR program:     if getattr(self.options, "enable"+opt):
13:20:38,685 ERR program: AttributeError: Values instance has no attribute 'enablereqdigit'

Version-Release number of selected component (if applicable):
authconfig-6.2.0-1.fc17.x86_64

Seems pretty fundamental:

# /usr/sbin/authconfig --update
Traceback (most recent call last):
  File "/usr/sbin/authconfig", line 1018, in <module>
    sys.exit(module.run())
  File "/usr/sbin/authconfig", line 605, in run
    self.overrideSettings()
  File "/usr/sbin/authconfig", line 492, in overrideSettings
    if getattr(self.options, "enable"+opt):
AttributeError: Values instance has no attribute 'enablereqdigit'
Comment 1 Fedora Update System 2012-02-18 14:33:41 EST
authconfig-6.2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/authconfig-6.2.1-1.fc17
Comment 2 Fedora Update System 2012-02-18 23:36:36 EST
Package authconfig-6.2.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing authconfig-6.2.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1987/authconfig-6.2.1-1.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-03-06 15:43:27 EST
authconfig-6.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.